<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="card" [ngClass]="{ 'w-[calc(560px)]': !wide, 'w-[calc(800px)]': wide }">
  <div class="w-full h-[calc(80px)] flex items-center justify-between gap-6">
    <div class="w-32 flex justify-start">
      <p-button *ngIf="routeOnBack" label="Back" icon="pi pi-chevron-left" [text]="true" severity="secondary" [routerLink]="routeOnBack"></p-button>
    </div>
    <div *ngIf="wide" class="h-full flex items-center gap-4">
      <div class="h-full text-sm text-text-300 flex items-center" *ngIf="beforeTitle">
        <ng-template [ngTemplateOutlet]="beforeTitle"></ng-template>
      </div>
      <div class="font-semibold text-xxl tracking-wide">
        {{ title }}
      </div>
    </div>
    <div class="w-32 flex justify-end">
      <p-button *ngIf="showClose" icon="pi pi-times" [rounded]="true" severity="danger" (click)="close()"></p-button>
    </div>
  </div>
  <div class="w-full flex flex-col items-center text-center text-text-500">
    <ng-container *ngIf="!wide">
      <div class="w-full h-12">
        <div class="w-full h-full text-sm text-text-300" *ngIf="beforeTitle">
          <ng-template [ngTemplateOutlet]="beforeTitle"></ng-template>
        </div>
      </div>
      <div class="font-semibold text-xxl tracking-wide pb-2 w-96 h-28">
        {{ title }}
      </div>
    </ng-container>
    <div class="w-full overflow-y-auto" [ngClass]="{ 'h-[calc(480px)]': !wide, 'h-[calc(620px)]': wide }">
      <ng-content></ng-content>
    </div>
  </div>
</div>
